<?php

namespace Infrastructure\Services\Utilities\Users;

use Infrastructure\Services\Utilities\GeneralFilters\StatusFilter;
use Infrastructure\Services\Utilities\Users\Filters\EmailFilter;
use Infrastructure\Services\Utilities\Users\Filters\NameFilter;
use Infrastructure\Services\Utilities\Users\Filters\PhoneFilter;
use Infrastructure\Services\Utilities\Utility;

class UsersUtility extends Utility
{
    protected function filters(): array
    {
        return [
            NameFilter::class,
            EmailFilter::class,
            PhoneFilter::class,
            StatusFilter::class,
        ];
    }

    protected function sorts(): array
    {
        return [
            'id',
        ];
    }
}
